package com.gic.haoban.manage.web.qo.wechatwork;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * @Author guojx
 * @Date 2024/5/22 9:16
 */
@Data
@Accessors(chain = true)
public class StoreGroupCommonQO implements Serializable {
    /**
     * 门店code/名称
     */
    private String storeSearchParam;
    /**
     * 可以多选，英文逗号隔开。优先级高于storeId
     */
    private String storeGroupId;

    /**
     * 可以多选，英文逗号隔开
     */
    private String storeId;

    /**
     * 分组下钻的时候，当前点击的分组id参数.如果是无归属，则值是-1
     * @return
     */
    private String nextStoreGroupId;

    /**
     * 因为存在nextStoreGroupId = -1的无归属分组。当下钻无归属，值为无归属上一层级的分组id。如果为空，说明上一层级是所有哦门店，否则必有值
     */
    private String preStoreGroupId;

    /**
     * 分组维度查询，勾选展示门店 1：是
     */
    private Integer showStore;

    /**
     * 门店状态
     */
    private List<String> statusList;

    public boolean isRecycle() {
        return "-3".equals(nextStoreGroupId);
    }

    public boolean isNoBelongStoreGroup() {
        return "-1".equals(nextStoreGroupId);
    }

    public boolean isSelectStore() {
        return showStore != null && showStore == 1;
    }

}
